server:
  port: 8080
  servlet:
    context-path: /api

spring:
  application:
    name: money-heist


  datasource:
    url: jdbc:postgresql://localhost:5432/heist
    username: profesor
    password: 11235813
    driver-class-name: org.postgresql.Driver
    hikari:
      maximum-pool-size: 10
      minimum-idle: 4

  jpa:
    show-sql: false
    generate-ddl: false
    properties:
      hibernate:
        enable_lazy_load_no_trans: false
        jdbc.lob.non_contextual_creation: true

  flyway:
    locations: classpath:db/migration
    baseline-on-migrate: true

  jackson:
    serialization:
      write_dates_as_timestamps : false